﻿<?xml version="1.0" encoding="utf-8"?>
<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <AssemblyName>Behide-PartyManager</AssemblyName>
    <EnableDefaultContentItems>false</EnableDefaultContentItems>
    <OutputType>Exe</OutputType>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
  </PropertyGroup>

  <ItemGroup>
    <Compile Include="Libs/YoLo.fs" />
    <Compile Include="Libs/Thoth/Types.fs" />
    <Compile Include="Libs/Thoth/Converters.fs" />
    <Compile Include="Libs/Thoth/Decode.fs" />
    <Compile Include="Libs/Thoth/Encode.fs" />
    <Compile Include="Libs/Thoth/Extra.fs" />
    <Compile Include="Libs/Thoth/ThothSerializer.fs" />
    <Compile Include="Libs/Json.fs" />

    <Compile Include="Config.fs" />
    <Compile Include="Common.fs" />
    <Compile Include="PartyManager.fs" />
    <Compile Include="HttpHandlers.fs" />
    <Compile Include="Program.fs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Giraffe" Version="6.0.*" />
    <PackageReference Include="Microsoft.AspNetCore" Version="2.2.*" />
    <PackageReference Include="FsToolkit.ErrorHandling.TaskResult" Version="2.13.0" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="6.0.1" />
  </ItemGroup>

  <ItemGroup>
    <None Include="web.config" CopyToOutputDirectory="PreserveNewest" />
    <Content Include="WebRoot\**\*">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
</Project>